MàJ impossible de Sarka-SPIP 3.2.36 vers 3.4.5

mercredi 28 octobre 2015 à 20h25
par Joe76000

Logo de Joe76000

Bonjour,

Je viens de faire la mise à jour réussie (avec spip_loader.php) de mon site Linux Rouen Normandie (hébergé chez OVH) de SPIP 3.0.17 vers 3.0.20.

Mais impossible de faire la mise à jour de Sarka-SPIP 3.2.36 (squelette installé à l’origine il y a un an) vers 3.4.5. C’était déjà le cas sous la précédente version de SPIP.

Je donne le détail de mon problème :
- Sur mon site en ligne, dans l’Espace privée -> Configuration -> Gestion des plugins -> Tous les plugins ont bien été mises à jour.
- Dans la Liste des plugins actifs, Sarka-SPIP 3.2.36 - stable est bien listé OK mais sans la roue de mise à jour.
- Si je vais dans Ajouter des plugins, j’entre sarka-spip et je clique sur Rechercher, j’obtiens une liste où je trouve Sarka-SPIP 3.4.5 - test - déjà installé ! ? Ce qui n’est pas le cas ! J’avais aussi compris que cette version était stable et pas test !
- De plus, je trouve aussi dans cette liste Sarka-SPIP Reloaded 4.5.2 - stable, qui m’intéresserait, mais avant je voudrais passer par la Sarka-SPIP 3.4.5 pour m’assurer que tout fonctionne correctement.
- Ultime vérification : Squelette -> Configurer Sarka-SPIP -> j’obtiens
Sarka-SPIP 3.2.36 [77717]
SPIP 3.0.20 [22255]
PHP 5.6.6
et pas Sarka-SPIP 3.4.5 ! ?
Je suis complètement perdu par ces informations contradictoires.

Je n’ai n’ai qu’un an d’expérience des CMS et de SPIP / Sarka-SPIP en particulier.
Si j’ai mal fait quelque chose et/ou des idées sur comment résoudre ce problème...
Merci. Librement,
Joseph


Réponses

29 octobre 2015 à 17h01

Bon, je vais suivre la procédure de mise à jour manuelle de cet article :
- Migrer Sarka-SPIP de la branche 3.2 à 3.4 ou ultérieure
et voir ce que cela donne...

29 octobre 2015 à 20h20

Bon, j’ai beau lire et relire les explications du lien que j’indiquai dans mon précédent message, je ne comprends pas comment se fait l’installation manuelle d’une manière sure.

Comme déjà écrit, l’installation automatique ne se fait pas à cause d’une confusion de SPIP 3.0.20 (et aussi 3.0.17) qui mélange la version 3.2.36 effectivement installée avec la 3.4.5 supposée être installée de Sarka-SPIP. Il y a comme un bogue.

Je viens de revérifier et j’ai bien la 3.2.36 d’installée sur le serveur de OVH :
- /www/spip3/plugins/auto/sarkaspip/3.2.36
et pas un autre Sarka-SPIP.

Alors, je reviens au lien expliquant la mise à jour de Sarka-SPIP 3.2 vers 3.4+.
Remplacer votre squelette par la version Sarka-SPIP 3.4 ou ultérieure
Pour installer le nouveau squelette il suffit de suivre les procédures habituelles (pour les initiés !) :
1. "... soit en copiant manuellement par FTP le zip de la branche 3.4 ou ultérieure disponible à cet emplacement http://files.spip.org/spip-zone/sarkaspip_3x.zip ..."
Ben oui, et on le copie où exactement sur le serveur ?
Et en zippé ou en dézippé ?
Et que devient la 3.2.36 déjà installée ?

2. "... Si vous avez choisi une installation manuelle, installez donc ce plugin (Z-Core) en complément de la nouvelle version de Sarka-SPIP. Le zip du plugin Z-Core est disponible à cet emplacement : http://files.spip.org/spip-zone/z-core.zip ..."
Bon, ça c’est clair.
Et, je suppose qu’il faut le faire après Sarka-SPIP, pas avant.

Pour l’instant, j’arrête où j’en suis, n’ayant aucune envie de planter mon site, mais qui ne peut évoluer.
Merci.

29 octobre 2015 à 20h33

Questions subsidiaires quand je lis que la branche 3.1 à 3.4.5 de Sarka-SPIP est utilisée dans 6.397 sites au 21 juin 2015 :
- Combien que pour la version 3.4.5 ?
- Est-il sans risque connu de migrer vers cette version qui est apparemment toujours en Test ?
- Alors que la version 4.5.2 est en Stable !

Pour un profane ou presque, il y a de quoi y perdre son latin.
Merci.

31 octobre 2015 à 16h36

Bon, je pense avoir résolu mon problème en décidant de passer, à regret - mais à l’impossible nul n’est tenu, de SPIP 3.0.20 à WP 4.3.1.
Les forums et documentations de WP, en français et en anglais, sont beaucoup plus dynamiques, fournis, complets et à jour que ceux de SPIP.
Le patriotisme a ses limites que je viens d’atteindre, mais au moins, je resterai avec un CMS open source, ce qui me console un peu.

- Market share yearly trends for Content Management Systems for Websites
- Usage of Content Management Systems for Websites
- Usage statistics and market share of SPIP for Websites

Librement,
Joseph


Forum sur abonnement

Pour participer à ce forum, vous devez vous enregistrer au préalable. Merci d’indiquer ci-dessous l’identifiant personnel qui vous a été fourni. Si vous n’êtes pas enregistré, vous devez vous inscrire.

Connexions’inscriremot de passe oublié ?